org.wso2.carbon.dataservices.ui.beans

## Class CallableRequest

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.CallableRequest

- Direct Known Subclasses:
    Operation, Resource

      public abstract class CallableRequest
      extends DataServiceConfigurationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallableRequest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `CallQuery` | `getCallQuery()`
    `CallQueryGroup` | `getCallQueryGroup()`
    `String` | `getDescription()`
    `boolean` | `isDisableStreaming()`
    `boolean` | `isReturnRequestStatus()`
    `protected void` | `populateGenericRequestProps(org.apache.axiom.om.OMElement requestEl)`
    `void` | `setCallQuery(CallQuery callQuery)`
    `void` | `setCallQueryGroup(CallQueryGroup callQueryGroup)`
    `void` | `setDescription(String description)`
    `void` | `setDisableStreaming(boolean disableStreaming)`
    `void` | `setReturnRequestStatus(boolean returnRequestStatus)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallableRequest

          public CallableRequest()

  - ### Method Detail

    - #### isReturnRequestStatus

          public boolean isReturnRequestStatus()

    - #### setReturnRequestStatus

          public void setReturnRequestStatus(boolean returnRequestStatus)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getCallQueryGroup

          public CallQueryGroup getCallQueryGroup()

    - #### isDisableStreaming

          public boolean isDisableStreaming()

    - #### setDisableStreaming

          public void setDisableStreaming(boolean disableStreaming)

    - #### getCallQuery

          public CallQuery getCallQuery()

    - #### setCallQueryGroup

          public void setCallQueryGroup(CallQueryGroup callQueryGroup)

    - #### setCallQuery

          public void setCallQuery(CallQuery callQuery)

    - #### buildXML

          public abstract org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

    - #### populateGenericRequestProps

          protected void populateGenericRequestProps(org.apache.axiom.om.OMElement requestEl)

Copyright © 2018 WSO2. All rights reserved.